# [BETA] Update a signal endpoint token. PUT https://app.unleash-instance.example.com/api/admin/signal-endpoints/{signalEndpointId}/tokens/{id} Content-Type: application/json **Enterprise feature** **[BETA]** This API is in beta state, which means it may change or be removed in the future. Updates an existing signal endpoint token identified by its id. Reference: https://docs.getunleash.io/api/update-signal-endpoint-token ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: admin-api version: 1.0.0 paths: /api/admin/signal-endpoints/{signalEndpointId}/tokens/{id}: put: operationId: update-signal-endpoint-token summary: '[BETA] Update a signal endpoint token.' description: >- **Enterprise feature** **[BETA]** This API is in beta state, which means it may change or be removed in the future. Updates an existing signal endpoint token identified by its id. tags: - subpackage_operational parameters: - name: signalEndpointId in: path required: true schema: type: string - name: id in: path required: true schema: type: string - name: Authorization in: header description: API key needed to access this API required: true schema: type: string responses: '200': description: '#/components/schemas/signalEndpointTokenSchema' content: application/json: schema: $ref: '#/components/schemas/signalEndpointTokenSchema' '400': description: The request data does not match what we expect. content: application/json: schema: $ref: >- #/components/schemas/UpdateSignalEndpointTokenRequestBadRequestError '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: application/json: schema: $ref: >- #/components/schemas/UpdateSignalEndpointTokenRequestUnauthorizedError '403': description: >- The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation content: application/json: schema: $ref: >- #/components/schemas/UpdateSignalEndpointTokenRequestForbiddenError '404': description: The requested resource was not found. content: application/json: schema: $ref: >- #/components/schemas/UpdateSignalEndpointTokenRequestNotFoundError '415': description: >- The operation does not support request payloads of the provided type. Please ensure that you're using one of the listed payload types and that you have specified the right content type in the "content-type" header. content: application/json: schema: $ref: >- #/components/schemas/UpdateSignalEndpointTokenRequestUnsupportedMediaTypeError requestBody: description: '#/components/schemas/createSignalEndpointTokenSchema' content: application/json: schema: $ref: '#/components/schemas/createSignalEndpointTokenSchema' servers: - url: https://app.unleash-instance.example.com components: schemas: createSignalEndpointTokenSchema: type: object properties: name: type: string description: The signal endpoint token name. required: - name description: >- Describes the properties required to create or update a signal endpoint token. title: createSignalEndpointTokenSchema signalEndpointTokenSchema: type: object properties: id: type: integer description: >- The signal endpoint token's ID. Signal endpoint token IDs are incrementing integers. In other words, a more recently created signal endpoint token will always have a higher ID than an older one. token: type: string description: >- The token used for authentication. It is automatically generated by Unleash when the token is created and that is the only time this property is returned. name: type: string description: The signal endpoint token name. signalEndpointId: type: integer description: The signal endpoint ID that this token belongs to. createdAt: type: string format: date-time description: The date and time of when the signal endpoint token was created. createdByUserId: type: integer description: The ID of the user that created this signal endpoint token. required: - id - name - signalEndpointId - createdAt - createdByUserId description: An object describing a signal endpoint token. title: signalEndpointTokenSchema UpdateSignalEndpointTokenRequestBadRequestError: type: object properties: id: type: string description: The ID of the error instance name: type: string description: The name of the error kind message: type: string description: A description of what went wrong. title: UpdateSignalEndpointTokenRequestBadRequestError UpdateSignalEndpointTokenRequestUnauthorizedError: type: object properties: id: type: string description: The ID of the error instance name: type: string description: The name of the error kind message: type: string description: A description of what went wrong. title: UpdateSignalEndpointTokenRequestUnauthorizedError UpdateSignalEndpointTokenRequestForbiddenError: type: object properties: id: type: string description: The ID of the error instance name: type: string description: The name of the error kind message: type: string description: A description of what went wrong. title: UpdateSignalEndpointTokenRequestForbiddenError UpdateSignalEndpointTokenRequestNotFoundError: type: object properties: id: type: string description: The ID of the error instance name: type: string description: The name of the error kind message: type: string description: A description of what went wrong. title: UpdateSignalEndpointTokenRequestNotFoundError UpdateSignalEndpointTokenRequestUnsupportedMediaTypeError: type: object properties: id: type: string description: The ID of the error instance name: type: string description: The name of the error kind message: type: string description: A description of what went wrong. title: UpdateSignalEndpointTokenRequestUnsupportedMediaTypeError securitySchemes: apiKey: type: apiKey in: header name: Authorization description: API key needed to access this API bearerToken: type: http scheme: bearer description: API key needed to access this API, in Bearer token format ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/signal-endpoints/signalEndpointId/tokens/id" payload = { "name": "My external app #1" } headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/signal-endpoints/signalEndpointId/tokens/id'; const options = { method: 'PUT', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{"name":"My external app #1"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/signal-endpoints/signalEndpointId/tokens/id" payload := strings.NewReader("{\n \"name\": \"My external app #1\"\n}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/signal-endpoints/signalEndpointId/tokens/id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"name\": \"My external app #1\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://app.unleash-instance.example.com/api/admin/signal-endpoints/signalEndpointId/tokens/id") .header("Authorization", "") .header("Content-Type", "application/json") .body("{\n \"name\": \"My external app #1\"\n}") .asString(); ``` ```php request('PUT', 'https://app.unleash-instance.example.com/api/admin/signal-endpoints/signalEndpointId/tokens/id', [ 'body' => '{ "name": "My external app #1" }', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/signal-endpoints/signalEndpointId/tokens/id"); var request = new RestRequest(Method.PUT); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"name\": \"My external app #1\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = ["name": "My external app #1"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/signal-endpoints/signalEndpointId/tokens/id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```